Bug 734269

Summary: git not compiled with USE_LIBPCRE
Product: [Fedora] Fedora Reporter: H. Peter Anvin <hpa>
Component: gitAssignee: Todd Zullinger <tmz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 15CC: atkac, bkearney, chrisw, npajkovs, tmz
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: git-1.7.6.2-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-18 00:51:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description H. Peter Anvin 2011-08-30 00:15:16 UTC
Description of problem:
git is compiled without USE_LIBPCRE, this means "git grep -P" doesn't work.

Version-Release number of selected component (if applicable):
git-1.7.6-1.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. git grep -P '#define\s*ALIGN'
  
Actual results:
fatal: cannot use Perl-compatible regexes when not compiled with USE_LIBPCRE


Expected results:
Grep to proceed

Additional info:

Comment 1 Fedora Update System 2011-08-30 01:28:58 UTC
git-1.7.6.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/git-1.7.6.1-2.fc16

Comment 2 Fedora Update System 2011-08-30 01:30:30 UTC
git-1.7.6.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/git-1.7.6.1-2.fc15

Comment 3 Fedora Update System 2011-08-30 20:48:17 UTC
Package git-1.7.6.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-1.7.6.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/git-1.7.6.1-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-09 00:07:46 UTC
git-1.7.6.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/git-1.7.6.2-1.fc15

Comment 5 Fedora Update System 2011-09-09 00:07:54 UTC
git-1.7.6.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/git-1.7.6.2-1.fc16

Comment 6 Fedora Update System 2011-09-18 00:51:53 UTC
git-1.7.6.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-30 19:28:28 UTC
git-1.7.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.